Patchwork D7315: revlog: clarify which version use the older API in perf

login
register
mail settings
Submitter phabricator
Date Nov. 9, 2019, 1:55 a.m.
Message ID <386db397937b90016cefc8c57720306e@localhost.localdomain>
Download mbox | patch
Permalink /patch/43008/
State Not Applicable
Headers show

Comments

phabricator - Nov. 9, 2019, 1:55 a.m.
Closed by commit rHGa94d8b95853c: revlog: clarify which version use the older API in perf (authored by marmoute).
This revision was automatically updated to reflect the committed changes.

REPOSITORY
  rHG Mercurial

CHANGES SINCE LAST UPDATE
  https://phab.mercurial-scm.org/D7315?vs=17731&id=17828

CHANGES SINCE LAST ACTION
  https://phab.mercurial-scm.org/D7315/new/

REVISION DETAIL
  https://phab.mercurial-scm.org/D7315

AFFECTED FILES
  contrib/perf.py

CHANGE DETAILS




To: marmoute, #hg-reviewers, indygreg
Cc: mercurial-devel

Patch

diff --git a/contrib/perf.py b/contrib/perf.py
--- a/contrib/perf.py
+++ b/contrib/perf.py
@@ -820,6 +820,7 @@ 
     if util.safehasattr(cl, b'clearcaches'):
         cl.clearcaches()
     elif util.safehasattr(cl, b'_nodecache'):
+        # <= hg-5.2
         from mercurial.node import nullid, nullrev
 
         cl._nodecache = {nullid: nullrev}